﻿public class TorquefulEngines : Mod
{
    private HarmonyLib.Harmony harmony;
    private static string modId = "com.raftmodding.mods.torqueful-engines";
    public void Start()
    {
        harmony = new HarmonyLib.Harmony(modId);
        harmony.PatchAll();
    }
    public void OnModUnload()
    {
        harmony.UnpatchAll(modId);
    }
    [HarmonyLib.HarmonyPatch(typeof(MotorWheel), "MotorStrength", HarmonyLib.MethodType.Getter)]
    [HarmonyLib.HarmonyPriority(HarmonyLib.Priority.Low)]
    public class HarmonyPatch_MotorWheel_MotorStrength
    {
        static void Postfix(ref int __result)
        {
            __result *= 10;
        }
    }
}
